PHP Velho Oeste 2024

Veraltete Features

PHP-Kern

Änderungen bei Inkrement-/Dekrement-Operatoren

Die Verwendung des Inkrement-Operators (++) für leere, nicht-numerische oder nicht-alphanumerische Zeichenketten ist nun veraltet. Darüber hinaus wird das Inkrementieren nicht-numerischer Zeichenketten als sanft veraltet ("soft deprecated") eingestuft. "Soft deprecated" bedeutet, dass zwar keine E_DEPRECATED-Diagnose ausgegeben wird, aber dieses Feature in neuem Code nicht mehr verwendet werden sollte. Stattdessen sollte die neue Funktion str_increment() verwendet werden.

Die Verwendung des Dekrement-Operators (--) für leere oder nicht-numerische Zeichenketten ist nun veraltet.

Aufruf von get_class()/get_parent_class() ohne Argumente

Der Aufruf von get_class() und get_parent_class() ohne Argumente ist nun veraltet.

DBA

Der Aufruf von dba_fetch() mit $dba als drittes Argument ist nun veraltet.

FFI

Der statische Aufruf der Methoden FFI::cast(), FFI::new() und FFI::type() ist nun veraltet.

Intl

Die Konstante U_MULTIPLE_DECIMAL_SEP*E*RATORS ist veraltet, stattdessen sollte die Konstante U_MULTIPLE_DECIMAL_SEP*A*RATORS verwendet werden.

Die Konstante NumberFormatter::TYPE_CURRENCY ist veraltet.

LDAP

Der Aufruf von ldap_connect() mit getrenntem $hostname und $port ist veraltet.

MBString

Bei mb_strimwidth() ist die Übergabe eines negativen Wertes für den Parameter $width nun veraltet.

Phar

Der Aufruf der Methode Phar::setStub() mit einer Ressource und dem Parameter $length ist nun veraltet. Solche Aufrufe sollten durch $phar->setStub(stream_get_contents($resource)); ersetzt werden.

Random

Die MT_RAND_PHP-Variante Mt19937 ist veraltet.

Reflection

Der Aufruf von ReflectionProperty::setValue() mit nur einem Parameter ist veraltet. Um statische Eigenschaften zu setzen, sollte null als erster Parameter übergeben werden.

Standard

Die Funktion assert_options() ist nun veraltet.

Die Konstanten ASSERT_ACTIVE, ASSERT_BAIL, ASSERT_CALLBACK, ASSERT_EXCEPTION und ASSERT_WARNING sind veraltet.

Die INI-Einstellungen assert.* sind veraltet. Weitere Informationen hierzu sind auf der Seite Änderungen bei der Handhabung von INI-Dateien zu finden.

SQLite3

Da die Warnungen in Zukunft entfernt werden, sollten nun vorzugsweise Exceptions verwendet werden. Der Aufruf von SQLite3::enableExceptions(false) ist veraltet und führt in dieser Version zu einer entsprechenden Warnung.

Zip

Die Konstante ZipArchive::FL_RECOMPRESS ist veraltet und wird in einer zukünftigen libzip-Version entfernt.

add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top